OrderViewShopKeeper

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.utilities.lists
Class OrderViewShopKeeper

    java.lang.Object
      com.fenalco.utilities.lists.OrderViewShopKeeper

All Implemented Interfaces:
  ListView

    public class OrderViewShopKeeper

extends java.lang.Object
implements ListView

Author:
  Andrés Esta clase representa la vista de un pedido que ve el minorista es decir, la vista de un listado de objetos tipo OrderProduct

Field Summary
`private java.lang.Object` | `actualKey` La llave actual que se está trabajando, se usa para tener acceso a los objetos que se deben mostrar de ese elemento de la lista
`private OrderProduct` | `actualValue` valor actual en el que se está trabajando, es decir, la fila actual de la lista
`private int` | `count` contador que indica en que columna voy
`private java.util.Enumeration` | `keys` Como el listado es un hashtable, aqui almaceno los keys
`(package private) Order` | `order` El listado (modelo o documento)
`private java.util.Vector` | `valuesToShow` aqui se almacenan los datos que se van a mostrar en las diferentes columnas de la lista

Constructor Summary
`OrderViewShopKeeper(Order o)`

Method Summary
`java.lang.String` | `getDate()`
`private SupplierProduct` | `getProduct(int id)`
`java.lang.String` | `getTotal()`
`boolean` | `move()` Este método mueve el iterador al siguiente registro de la lista y retorna un booleano indicando si se pudo mover a ese elemento o no.
`java.lang.Object` | `nextElement()` Este método retorna el siguiente elemento dentro del registro en el que se encuentra el iterador actualmente, si retorna null es por que ya se ha llegado al final del registro

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### order

    Order order

  El listado (modelo o documento)

### keys

    private java.util.Enumeration keys

  Como el listado es un hashtable, aqui almaceno los keys

### actualKey

    private java.lang.Object actualKey

  La llave actual que se está trabajando, se usa para tener acceso a los objetos que se deben mostrar de ese elemento de la lista

### actualValue

    private OrderProduct actualValue

  valor actual en el que se está trabajando, es decir, la fila actual de la lista

### valuesToShow

    private java.util.Vector valuesToShow

  aqui se almacenan los datos que se van a mostrar en las diferentes columnas de la lista

### count

    private int count

  contador que indica en que columna voy

Constructor Detail

### OrderViewShopKeeper

    public OrderViewShopKeeper(Order o)

Method Detail

### move

    public boolean move()

  Description copied from interface: `ListView`
  Este método mueve el iterador al siguiente registro de la lista y retorna un booleano indicando si se pudo mover a ese elemento o no. Este método se debe llamar antes de intentar acceder a los objetos del listado Cuando devuelve false es porque ya se ha llegado alo final de la lista

  Specified by:
    `move` in interface `ListView`

### nextElement

    public java.lang.Object nextElement()

  Description copied from interface: `ListView`
  Este método retorna el siguiente elemento dentro del registro en el que se encuentra el iterador actualmente, si retorna null es por que ya se ha llegado al final del registro

  Specified by:
    `nextElement` in interface `ListView`

### getProduct

    private SupplierProduct getProduct(int id)

### getDate

    public java.lang.String getDate()

### getTotal

    public java.lang.String getTotal()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD